# ExtensionMetadata (Crawler-commons 1.0 API)
Date: 2019-03-19

crawlercommons.sitemaps.extension

## Class ExtensionMetadata

- java.lang.Object
- - crawlercommons.sitemaps.extension.ExtensionMetadata

Direct Known Subclasses:
  ImageAttributes, LinkAttributes, MobileAttributes, NewsAttributes, VideoAttributes

    public abstract class ExtensionMetadata
    extends Object

Container for attributes of a `SiteMapURL` defined by a sitemap extension.

### Constructor Summary

Constructors
Constructor and Description
`ExtensionMetadata()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract boolean` `equals(Object other)`
`boolean` `isValid()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExtensionMetadata

    public ExtensionMetadata()

### Method Detail

#### equals

    public abstract boolean equals(Object other)

Overrides:
  `equals` in class `Object`

#### isValid

    public boolean isValid()